[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| FFTWPhaseAccessor< Real > Class Template Reference Accessors for FFTWComplex |

`#include <vigra/fftw3.hxx>`

List of all members.

## Public Types

typedef Real | value_type
| The accessor's value type.

## Public Member Functions

template<class ITERATOR >
value_type | operator() (ITERATOR const &i) const
| Read phase at iterator position.
template<class ITERATOR , class DIFFERENCE >
value_type | operator() (ITERATOR const &i, DIFFERENCE d) const
| Read phase at offset from iterator position.

## Detailed Description

### template<class Real = double>
class vigra::FFTWPhaseAccessor< Real >

Calculate phase of complex number on the fly.

#include <vigra/fftw3.hxx> (for FFTW 3) or
#include <vigra/fftw.hxx> (for deprecated FFTW 2)
Namespace: vigra

The documentation for this class was generated from the following file:

- vigra/fftw3.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)